# GarageServer.IO
A simple, lightweight, HTML multiplayer game server (and client) for Node.js

![garagerserver.io](https://raw.github.com/jbillmann/GarageServer.IO/master/documentation/GarageServerIO_logo.png)

## Features
- Authoritative Node.js game server and JavaScript client
- Client Side / Input Prediction
- Client Side Smoothing
- Entity Interpolation
- Server State History
- Server and Client Messaging
- Server Reconciliation
- Region Broadcasting
- Works with any rendering and/or physics engine

## Install

### Server

`$ npm install garageserver.io`

### Client

After server install, copy the client from `/node_modules/garageserver.io/client/garageserver.io.js` to a folder of your choosing within your web application for client/browser use.

## Quick Start

[Client & Server Quick Start](https://github.com/jbillmann/GarageServer.IO/blob/master/documentation/QuickStart.md)

## GarageServer.IO API

[Client API Documentation](https://github.com/jbillmann/GarageServer.IO/blob/master/documentation/ClientAPI.md)

[Server API Documentation](https://github.com/jbillmann/GarageServer.IO/blob/master/documentation/ServerAPI.md)

## License

[MIT License](https://github.com/jbillmann/GarageServer.IO/blob/master/LICENSE.md)